Package org.astrogrid.samp.client

# Class LogResultHandler

java.lang.Object
org.astrogrid.samp.client.LogResultHandler

All Implemented Interfaces:
  `ResultHandler`

public class LogResultHandler extends Object implements ResultHandler
ResultHandler implementation which outputs some information about responses received through the logging system.

Since:
  12 Nov 2008
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`LogResultHandler(Message msg)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`done()`
Called when no more `ResultHandler.result(org.astrogrid.samp.Client, org.astrogrid.samp.Response)` invocations will be made, either because all have been received or for some other reason, such as a timeout or the hub shutting down.
`void`
`result(Client client, Response response)`
Called when a response is received from a client to which the message was sent.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LogResultHandler

public LogResultHandler(Message msg)
Constructor.

Parameters:
  `msg` - message which was sent

## Method Details

### result

public void result(Client client, Response response)
Description copied from interface: `ResultHandler`
Called when a response is received from a client to which the message was sent.

Specified by:
  `result` in interface `ResultHandler`
Parameters:
  `client` - responder client
  `response` - content of response

### done

public void done()
Description copied from interface: `ResultHandler`
Called when no more `ResultHandler.result(org.astrogrid.samp.Client, org.astrogrid.samp.Response)` invocations will be made, either because all have been received or for some other reason, such as a timeout or the hub shutting down.

Specified by:
  `done` in interface `ResultHandler`